
/**
 * 0.0 - Footer
 */
.footer {
	padding-top: 5vh;
	padding-bottom: 5vh;
	background: var(--background-footer);
	letter-spacing: 0.02em;
	font-weight: 400;
}

.footer .grid {
	display: grid;
}

.footer ul {
	margin: 0;
	list-style-type: none;
	padding-left: 0;
}

.footer ul li {
	padding-left: 0;
}

.footer-content a {
	z-index: 1;
	position: relative;
}


.footer a {
	text-decoration-line: underline;
	text-decoration-thickness: 1px;
	text-decoration-color: var(--color-white-0);
	text-underline-offset: 4px;	
}

.footer a:hover,
.footer a:focus {
	text-decoration-color: var(--color-link);
}

/*
.footer-content a::before,
.footer-content a::after {
	content: "";
	position: absolute;
	right: 0;
	bottom: -2px;
	z-index: -1;
	display: block;
	width: 100%;
	height: 1px;
	background-color: var(--color-white-20);
	transition: width .3s cubic-bezier(0, 0, 0.2, 1);
}

.footer-content a::after {
	width: 0%;
	right: auto;
	left: 0;
	background-color: var(--color-white);
	transition-delay: 0s;
}

.footer-content a:hover::before {
	width: 0%;
	transition-delay: 0s;
}

.footer-content a:hover::after {
	width: 100%;
	transition-delay: .24s;
}
*/
.footer__top,
.footer__middle,
.footer__bottom {
	padding: var(--spacing-40) 0;
}

/* footer top */
.footer__top {
	padding: var(--spacing-20) 0;
	border-bottom: 1px solid var(--color-white-10);
}

.footer__top .grid-2 {
	align-items: center;
}

.footer__logo {
	width: 133px;
	justify-self: start;	
}

@media screen and (max-width: 1600px) {
	.footer__logo {
		min-width: auto;
		width: 100px;
		justify-self: start;	
	}	
}

.footer__social-icons {
	justify-self: end;
}

/* footer middle */
.footer__middle {
	padding: var(--spacing-80) 0 var(--spacing-20);
}

.footer__middle .section {
	margin-top: 0;
	margin-bottom: 0;
}

.footer__middle .section__title {
	margin-bottom: var(--spacing-30);
	font-size: var(--tiny-font);
	color: var(--color-white);
}

.footer__middle .section__content {

}

.footer__middle .grid-1-1-2 > *:last-child {
	justify-self: end;
	text-align: right;
}

@media screen and (max-width: 767px) {
	.footer__middle .grid-1-1-2 > *:last-child {
		justify-self: start;
		text-align: left;
	}	
}

/* footer bottom */
.footer__bottom {
	padding-top: var(--spacing-20);
	padding-bottom: var(--line-height);
	font-size: var(--tiny-font);
	text-transform: uppercase;
	letter-spacing: 0.2em;
	border-top: 0px solid var(--color-extra-light);
}

.footer__bottom .grid-2 {
	align-items: start;
}

.footer__bottom p {
	display: inline-block;
	padding-right: 5px;
}

.footer__pages {
	justify-self: start;
	text-align: left;
	list-style-type: none;
	padding: 0;
}

.footer__pages-item {
	margin-right: 20px;
	display: inline-block;
}

.footer__pages-item:last-of-type {
	margin-right: 0;
}

.footer__copyrights {
	text-align: right;
	justify-self: end;
}

/* footer to top */
.footer__end {
	display: grid;
	justify-content: end;
}

.footer__totop {
	display: block;
	float: right;
	width: 60px;
	height: 60px;
	display: grid;
	padding-bottom: 0;
	align-items: center;
	justify-content: center;
	color: var(--color-white);
	border: 1px solid var(--color-extra-light);
	border-radius: 60px;
	background-color: transparent;
	transition: all var(--ease-base);
}

.footer__totop:hover,
.footer__totop:focus {
	color: var(--color-white);
	background-color: var(--color-link);
	border-color: var(--color-white-0);
}

.footer__totop::before,
.footer__totop::after {
	display: none;
}

.footer__totop-text {
	display: none;
}

.footer__totop .icon-arrow {
	vertical-align: middle;
}

.footer__final {
	line-height: 1.75;
	margin: var(--spacing-30) 0;
	font-size: var(--tiny-font);
	color: var(--color-white-56);
	border-top: 0px solid var(--color-extra-light);
}

.footer__final > * {
	margin: 0;
}

@media screen and (max-width: 767px) {
	.footer__logo {
		margin-bottom: 30px;
	}
	
	.footer__social-icons {
		justify-self: start;
	}
	
	.footer__bottom {
		justify-items: start;
	}
	
	.footer__pages,
	.footer__copyrights {
		text-align: left;
		justify-self: start;
	}
	
	.footer__end {
		justify-content: start;
	}
}

@media screen and (max-width: 480px) {
	.footer__bottom p {
		display: block;
	}
}